odbc_close
odbc_columns
ODBC Functions
PHP Manual

# odbc_columnprivileges

(PHP 4, PHP 5)

odbc_columnprivileges — Lists columns and associated privileges for the given table

### Description

resource odbc_columnprivileges ( resource `$connection_id` , string `$qualifier` , string `$owner` , string `$table_name` , string `$column_name` )

Lists columns and associated privileges for the given table.

### Parameters

`connection_id`

  The ODBC connection identifier, see odbc_connect() for details.

`qualifier`

  The qualifier.

`owner`

  The owner.

`table_name`

  The table name.

`column_name`

  The `column_name` argument accepts search patterns ('%' to match zero or more characters and '_' to match a single character).

The `owner`, `table_name`, and `column_name` accept search patterns ('%' to match zero or more characters and '_' to match a single character).

### Return Values

Returns an ODBC result identifier or `FALSE` on failure. This result identifier can be used to fetch a list of columns and associated privileges.

The result set has the following columns:

- TABLE_QUALIFIER
- TABLE_OWNER
- TABLE_NAME
- GRANTOR
- GRANTEE
- PRIVILEGE
- IS_GRANTABLE

The result set is ordered by TABLE_QUALIFIER, TABLE_OWNER and TABLE_NAME.

odbc_close
odbc_columns
ODBC Functions
PHP Manual